db-torque-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Humberto Hernandez Torres <hhernan...@itweb.com.mx>
Subject RE: Torque: a sad tale
Date Fri, 25 Apr 2003 20:10:19 GMT
I use maven-1.0-beta-8 with torque-gen-SNAPSHOT and everything is OK.
--
  Humberto

> -----Original Message-----
> From: Russell Simpkins [mailto:RussellSimpkins@funnygarbage.com]
> Sent: Friday, April 25, 2003 2:08 PM
> To: Turbine Torque Developers List
> Subject: RE: Torque: a sad tale
> 
> 
> I don't even use the maven version... I use ant with Torque 
> 3.0 and all is fine.
> 
> -----Original Message-----
> From: Graham Leggett [mailto:minfrin@sharp.fm]
> Sent: Friday, April 25, 2003 1:41 PM
> To: Turbine Torque Developers List
> Subject: Re: Torque: a sad tale
> 
> 
> Russell Simpkins wrote:
> 
> > I had a similar problem a while back.... all was working 
> well... i worked on some
>  > other things for week or two... came back to run a build and got 
> these nasty parser
>  > bugs.... i was at my wits end when i realized that I had added a 
> parser into my ant
>  > lib directory that was causing the problem.  Removing the 
> jar fixed 
> the problem.
>  > Maybe you are having a similar issue.  Hope it helps.
> 
> I reverted back to maven b8, as maven b9 pulls in snapshot jars left 
> right and centre. I can now get my sql back, but my OM 
> classes are not 
> compiling any more:
> 
> java:compile:
>      [javac] Compiling 162 source files to 
> /home/sam/minfrin/src/fma/patricia-db/target/classes
> /home/sam/minfrin/src/fma/patricia-db/src/java/za/co/fma/patri
> cia/database/om/BaseMoneycategory.java:215: 
> getCategory() in 
> za.co.fma.patricia.database.om.BaseMoneycategory cannot 
> override getCategory() in org.apache.torque.om.BaseObject; 
> attempting to 
> use incompatible return type
> found   : double
> required: org.apache.log4j.Category
>          public double getCategory()
>                        ^
> Note: 
> /home/sam/minfrin/src/fma/patricia-db/src/java/za/co/fma/patri
> cia/database/om/BaseMoneycategory.java 
> uses or overrides a deprecated API.
> Note: Recompile with -deprecation for details.
> 1 error
> 
> Looks like I am using a jar somewhere I shouldn't.
> 
> Any ideas?
> 
> Regards,
> Graham
> -- 
> -----------------------------------------
> minfrin@sharp.fm		"There's a moon
> 					over Bourbon Street
> 						tonight..."
> 
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: torque-dev-unsubscribe@db.apache.org
> For additional commands, e-mail: torque-dev-help@db.apache.org
> 
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: torque-dev-unsubscribe@db.apache.org
> For additional commands, e-mail: torque-dev-help@db.apache.org
> 

Mime
View raw message